## lablgtk2 2.14.0+dfsg

=== src/Makefile ===
# $Id: Makefile 1486 2009-09-25 09:18:09Z garrigue $
# Makefile for lablgtk.

COMPILER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s -c
LINKER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS)
COMPOPT = $(CAMLOPT) $(MLFLAGS) -w s -c
LINKOPT = $(CAMLOPT) $(MLFLAGS)
LIBRARIAN = $(CAMLMKLIB) -verbose -ocamlc "$(CAMLC)" -ocamlopt "$(CAMLOPT)"
TOPLEVEL = $(CAMLMKTOP) $(MLFLAGS)
CAMLP4 = $(CAMLP4O) pr_o.cmo

CONFIG = ../config.make

# protect against missing definitions
BINDIR = ""
LIBDIR = ""
INSTALLDIR = $(LIBDIR)/lablgtk2
DLLDIR = $(LIBDIR)/stublibs

include $(CONFIG)

TARGETS = varcc$(XE) lablgtktop$(XE) lablgtk2$(XB) gdk_pixbuf_mlsource$(XE)

all: byte
world: byte $(CAMLBEST)

MLLIBS = lablgtk.cma
CLIBS = liblablgtk2$(XA)
#MLLINK = unix.cma str.cma

# For -DG_LOG_DOMAIN=\"LablGTK\"
ifneq ($(TOOLCHAIN),msvc)
GTKCFLAGS += -imacros ml_domain.h
else
GTKCFLAGS += /FI ml_domain.h
endif

# compile using a custom version of mlvalues.h, where value is abstract
ifdef ABSVALUE
GTKCFLAGS += -Iabsvalue -DABSVALUE
endif

ifdef DEBUG
CFLAGS = -g $(GTKCFLAGS)
CUSTOM = -custom
#MLLINK += -cclib -lcamlrund
MLBYTEFLAGS = -g -dtypes
else
CFLAGS = -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS $(GTKCFLAGS)
ifneq ($(TOOLCHAIN),msvc)
CFLAGS += -O
endif
endif

ifeq ($(THREADS_LIB),system)
THFLAGS = -thread
else
THFLAGS = -vmthread
CUSTOM = -custom
endif
THLINK = unix.cma threads.cma

ifdef USE_CC
CCOMPILER = $(CC) -c -I"$(LIBDIR)" $(CFLAGS)
else
CCOMPILER = $(CAMLC) -c -ccopt '$(CFLAGS)' -verbose
endif

ifdef USE_GL
ifdef LABLGLDIR
MLFLAGS += -I $(LABLGLDIR)
endif
MLLINK += lablgl.cma
MLLIBS += lablgtkgl.cma
CLIBS += liblablgtkgl2$(XA)
GLMLOBJS = glGtk.cmo
GLCOBJS = ml_gtkgl$(XO)
endif

#ifdef USE_GNOME
#MLLIBS += lablgnome.cma
#CLIBS += liblablgnome$(XA)
#GNOMEMLOBJS = gtkXmHTML.cmo gHtml.cmo
#GNOMECOBJS = ml_gtkxmhtml$(XO)
#endif

ifdef USE_GLADE
MLLIBS += lablglade.cma
CLIBS += liblablglade2$(XA)
GLADEMLOBJS = glade.cmo
GLADECOBJS = ml_glade$(XO)
TARGETS += lablgladecc$(XE)
endif

ifdef USE_GNOMECANVAS
MLLIBS += lablgnomecanvas.cma
CLIBS += liblablgnomecanvas$(XA)
GNOMECANVASMLOBJS = gnomeCanvas.cmo gnoCanvas.cmo
GNOMECANVASCOBJS = ml_gnomecanvas$(XO)
endif

ifdef USE_GNOMEUI
MLLIBS += lablgnomeui.cma
CLIBS += liblablgnomeui$(XA)
GNOMEUIMLOBJS = gnomeDruid.cmo gnoDruid.cmo
GNOMEUICOBJS = ml_gnomedruid$(XO)
endif

ifdef USE_PANEL
MLLIBS += lablpanel.cma
CLIBS += liblablpanel$(XA)
PANELMLOBJS = panel.cmo
PANELCOBJS = ml_panel$(XO)
endif

ifdef USE_RSVG
MLLIBS += lablrsvg.cma
CLIBS += liblablrsvg$(XA)
RSVGMLOBJS = rsvg.cmo
RSVGCOBJS = ml_rsvg$(XO)
$(RSVGCOBJS) : CFLAGS+=$(HAVE_SVGZ)
endif

ifdef USE_GTKSPELL
MLLIBS += lablgtkspell.cma
CLIBS += liblablgtkspell$(XA)
GTKSPELLMLOBJS = gtkSpell.cmo
GTKSPELLCOBJS = ml_gtkspell$(XO)
endif

ifdef USE_GTKSOURCEVIEW
byte:: lablgtksourceview.cma liblablgtksourceview$(XA)
opt:: lablgtksourceview.cmxa liblablgtksourceview$(XA)
ifeq ($(HAS_NATIVE_DYNLINK),yes)
opt::  lablgtksourceview.cmxs
endif

ml_gtksourceview.o: CFLAGS=$(GTKSOURCEVIEWCFLAGS)
GTKSOURCEVIEWMLOBJS = gtkSourceView.cmo gSourceView.cmo
GTKSOURCEVIEWCOBJS = ml_gtksourceview$(XO)
ml_gtksourceview.c: pango_tags.h
GTKSOURCEVIEWMLOBJSENUM = sourceViewEnums.cmo 
GTKSOURCEVIEWPROPS = gtkSourceView.props
CLIBS += liblablgtksourceview$(XA)
EXTRA_MLLIBS += lablgtksourceview.cma
EXTRA_OBJS += $(GTKSOURCEVIEWMLOBJS) $(GTKSOURCEVIEWMLOBJSENUM) 
BEFORE_DEPEND += $(GTKSOURCEVIEWMLOBJS:%.cmo=%.ml) $(GTKSOURCEVIEWPROPS:%.props=%Props.ml) $(GTKSOURCEVIEWPROPS:%.props= o%Props.ml) $(GTKSOURCEVIEWMLOBJSENUM:%.cmo=%.ml)
lablgtksourceview.cma liblablgtksourceview$(XA): \
	$(GTKSOURCEVIEWCOBJS) $(GTKSOURCEVIEWMLOBJSENUM) $(GTKSOURCEVIEWPROPS:%.props=%Props.cmo) $(GTKSOURCEVIEWPROPS:%.props=o%Props.cmo) $(GTKSOURCEVIEWMLOBJS)
	$(LIBRARIAN) -o lablgtksourceview $^ $(GTKSOURCEVIEWLIBS)
lablgtksourceview.cmxa: $(GTKSOURCEVIEWCOBJS) $(GTKSOURCEVIEWMLOBJSENUM:.cmo=.cmx) $(GTKSOURCEVIEWPROPS:%.props=%Props.cmx) $(GTKSOURCEVIEWPROPS:%.props=o%Props.cmx) $(GTKSOURCEVIEWMLOBJS:.cmo=.cmx)
	$(LIBRARIAN) -o lablgtksourceview $^ $(GTKSOURCEVIEWLIBS)

endif
ifdef USE_GTKSOURCEVIEW2
MLLIBS += lablgtksourceview2.cma
CLIBS += liblablgtksourceview2$(XA)
GTKSOURCEVIEW2MLOBJS = gtkSourceView2.cmo gSourceView2.cmo
GTKSOURCEVIEW2COBJS = ml_gtksourceview2$(XO)
GTKSOURCEVIEW2MLOBJSENUM = sourceView2Enums.cmo 
GTKSOURCEVIEW2PROPS = gtkSourceView2.props
BEFORE_DEPEND += $(GTKSOURCEVIEW2PROPS:%.props=%Props.ml) $(GTKSOURCEVIEW2PROPS:%.props= o%Props.ml) $(GTKSOURCEVIEWMLOBJSENUM:%.cmo=%.ml)

EXTRA_OBJS += $(GTKSOURCEVIEW2MLOBJSENUM)
lablgtksourceview2.cma liblablgtksourceview2$(XA): \
	$(GTKSOURCEVIEW2COBJS) $(GTKSOURCEVIEW2MLOBJSENUM) $(GTKSOURCEVIEW2PROPS:%.props=%Props.cmo) $(GTKSOURCEVIEW2PROPS:%.props=o%Props.cmo) $(GTKSOURCEVIEW2MLOBJS)
	$(LIBRARIAN) -o lablgtksourceview2 $^ $(GTKSOURCEVIEW2LIBS)
lablgtksourceview2.cmxa: $(GTKSOURCEVIEW2COBJS) $(GTKSOURCEVIEW2MLOBJSENUM:.cmo=.cmx) $(GTKSOURCEVIEW2PROPS:%.props=%Props.cmx) $(GTKSOURCEVIEW2PROPS:%.props=o%Props.cmx) $(GTKSOURCEVIEW2MLOBJS:.cmo=.cmx)
	$(LIBRARIAN) -o lablgtksourceview2 $^ $(GTKSOURCEVIEW2LIBS)
endif

ifdef USE_GTKQUARTZ
CFLAGS += -DHAS_GTKQUARTZ
endif
# Rules
.SUFFIXES: .ml .mli .cmo .cmi .cmx .cmxs .cmxa .c $(XO) .d$(XO) .var .h .opt .def .ml4
.c$(XO):
	$(CCOMPILER) $<
.cpp$(XO):
	$(CCOMPILER) $<
.c.d$(XO):
	$(CAMLC) -c -ccopt '-MT -DCAML_DLL -Fo$@ $(CFLAGS)' $<
.ml.cmo:
	$(COMPILER) $<
.mli.cmi:
	$(COMPILER) $<
.ml.cmx:
	$(COMPOPT) $<
.ml4.cmo:
	$(CAMLC) -c -pp "$(CAMLP4O) -impl" -impl $<
.cmxa.cmxs:
	$(CAMLOPT) -verbose -o $@ -shared -linkall -I . -ccopt '$(GTK_LIBS)' $<

#.ml4.ml:
#	$(CAMLP4) -impl $< -o $@

%_tags.h %_tags.c %Enums.ml: %_tags.var varcc$(XE)
	./varcc $<

%Props.ml o%Props.ml: %.props propcc$(XE)
	./propcc $<

# Files
GTKOBJS =  ml_gtk$(XO) ml_pango$(XO) ml_gtkaction$(XO) \
	ml_gtkbin$(XO) ml_gtkbroken$(XO) ml_gtkbutton$(XO) \
	ml_gtkassistant$(XO) \
	ml_gtkedit$(XO) ml_gtkfile$(XO) ml_gtklist$(XO) \
	ml_gtkmenu$(XO) ml_gtkmisc$(XO) \
	ml_gtkpack$(XO) ml_gtkrange$(XO) ml_gtkstock$(XO) \
	ml_gtktext$(XO) ml_gtktree$(XO)
COBJS = ml_gdkpixbuf$(XO) ml_gdk$(XO) ml_glib$(XO) ml_gobject$(XO) \
	ml_gpointer$(XO) ml_gvaluecaml$(XO) wrappers$(XO) $(GTKOBJS)
GTKPROPS += gtkBase.props gtkBin.props gtkButton.props gtkEdit.props \
	gtkList.props gtkMenu.props gtkMisc.props gtkPack.props \
	gtkRange.props gtkText.props gtkTree.props gtkFile.props \
	gtkAction.props gtkBroken.props gtkAssistant.props
MLOBJS1 =  gaux.cmo gpointer.cmo glib.cmo gobject.cmo
ENUMOBJS += gdkEnums.cmo pangoEnums.cmo gtkEnums.cmo
MLOBJS2 = pango.cmo gdk.cmo gdkEvent.cmo gdkKeysyms.cmo gdkPixbuf.cmo \
	gtk.cmo gtkSignal.cmo gtkStock.cmo gtkObject.cmo
MLOBJS3 = gtkData.cmo gtkBase.cmo gtkPack.cmo gtkButton.cmo \
	gtkAssistant.cmo \
	gtkMenu.cmo gtkMisc.cmo gtkWindow.cmo gtkList.cmo \
	gtkBin.cmo gtkEdit.cmo gtkRange.cmo gtkText.cmo gtkTree.cmo \
	gtkFile.cmo gtkMain.cmo gtkBroken.cmo \
	gPango.cmo gDraw.cmo gObj.cmo gData.cmo gMain.cmo
MLOBJS4 = gContainer.cmo gPack.cmo gButton.cmo gText.cmo \
	gMenu.cmo gMisc.cmo gTree.cmo gList.cmo gFile.cmo gWindow.cmo \
	gAssistant.cmo \
	gBin.cmo gEdit.cmo gRange.cmo gAction.cmo gBroken.cmo \
	gUtil.cmo gToolbox.cmo
MLOBJS =  $(MLOBJS1) $(ENUMOBJS) $(MLOBJS2) $(GTKPROPS:.props=Props.cmo) \
	$(MLOBJS3) $(GTKPROPS:%.props=o%Props.cmo) $(MLOBJS4)
MLXOBJS = $(MLOBJS1) $(ENUMOBJS) $(MLOBJS2) $(MLOBJS3) $(MLOBJS4)
THOBJS = gtkThread.cmo
INITOBJS = gtkInit.cmo
THINITOBJS = gtkThInit.cmo
EXTRAOBJS = $(INITOBJS) $(THOBJS) $(THINITOBJS)
ALLOBJS = $(MLXOBJS) $(GLMLOBJS) $(GNOMEMLOBJS) $(GLADEMLOBJS) \
	$(RSVGMLOBJS) $(GNOMECANVASMLOBJS) $(GNOMEUIMLOBJS) $(PANELMLOBJS) \
	$(GTKSPELLMLOBJS) $(GTKSOURCEVIEW2MLOBJS) \
	$(INITOBJS)
ALLTHOBJS = $(THOBJS) $(THINITOBJS)
PROPOBJS = $(GTKPROPS:%.props=%Props.cmo) $(GTKPROPS:%.props=o%Props.cmo)

# Targets
byte:: $(TARGETS) $(INITOBJS)
opt::  $(TARGETS) lablgtkopt

depend:
	$(MAKE) real-depend USE_GL=1 USE_GLADE=1 USE_RSVG=1 \
	  USE_GNOMECANVAS=1 USE_GNOMEUI=1 USE_PANEL=1 USE_GTKSPELL=1 \
	  USE_GTKSOURCEVIEW=1 USE_GTKSOURCEVIEW2=1
real-depend: $(ENUMOBJS:.cmo=.ml) $(PROPOBJS:.cmo=.ml) $(BEFORE_DEPEND)
	ocamldep $(ALLOBJS:.cmo=.ml) $(PROPOBJS:.cmo=.ml) $(ALLTHOBJS:.cmo=.ml) $(BEFORE_DEPEND) *.mli > .depend

ifeq ($(THREADS_LIB),no)
lablgtktop$(XE): $(MLLIBS)
	$(TOPLEVEL) $(CUSTOM) -o $@ $(MLLINK) -I . $(MLLIBS)
else
lablgtktop$(XE): $(MLLIBS) $(ALLTHOBJS)
	$(TOPLEVEL) $(THFLAGS) $(CUSTOM) -o $@ $(THLINK) $(MLLINK) \
	   -I . $(MLLIBS) $(THOBJS)
endif

lablgtk2: Makefile $(CONFIG) lablgtk2.in
	sed -e "s|@INSTALLDIR@|$(INSTALLDIR)|g" \
	    -e "s|@LABLGLDIR@|$(LABLGLDIR)|g" \
	    -e "s|@LIBDIR@|$(LIBDIR)|g" \
	    -e "s|@MLLIBS@|$(MLLINK) $(MLLIBS)|g" \
	    -e "s|@INITOBJS@|$(INITOBJS)|g" \
	    -e "s|@THOBJS@|$(THOBJS)|g" \
	    -e "s|@THINITOBJS@|$(THINITOBJS)|g" \
	    -e "s|@USEDLL@|$(HAS_DLL_SUPPORT)|g" \
	    -e "s|@THREADS_LIB@|$(THREADS_LIB)|g" \
	    < lablgtk2.in > $@
	chmod 755 $@

lablgtk2.bat: lablgtk2.bat.in
	cp lablgtk2.bat.in lablgtk2.bat

build.ml: Makefile $(CONFIG) build.ml.in
	sed -e "s|@LABLGTK_MLS@|$(MLOBJS:.cmo=)|" \
	    -e "s|@EXTRA_MLS@|$(EXTRAOBJS:.cmo=)|" \
	    -e "s|@PROP_MLS@|$(PROPOBJS:.cmo=)|" \
	    -e "s|@GTKLIBS@|$(GTKLIBS)|" \
	    -e "s|@GLADE_MLS@|$(GLADEMLOBJS:.cmo=)|" \
	    -e "s|@GLADE_LIBS@|$(GLADELIBS)|" \
	    -e "s|@RSVG_MLS@|$(RSVGMLOBJS:.cmo=)|" \
	    -e "s|@RSVG_LIBS@|$(RSVGLIBS)|" \
	    -e "s|@CANVAS_MLS@|$(GNOMECANVASMLOBJS:.cmo=)|" \
	    -e "s|@CANVAS_LIBS@|$(GNOMECANVASLIBS)|" \
	    -e "s|@TOOLCHAIN@|$(TOOLCHAIN)|" \
	    < build.ml.in > $@

gdk_pixbuf_mlsource$(XE) : lablgtk.cma gtkInit.cmo gdk_pixbuf_mlsource.ml
	$(CAMLC) -o $@ -I . $^

lablgtkopt:: $(MLLIBS:.cma=.cmxa) $(INITOBJS:.cmo=.cmx)
ifeq ($(THREADS_LIB),system)
lablgtkopt:: $(THOBJS:.cmo=.cmx)
endif

ifeq ($(HAS_NATIVE_DYNLINK),yes)
lablgtkopt::  $(MLLIBS:.cma=.cmxs)
endif

lablgladecc$(XE): xml_lexer.cmo lablgladecc.cmo
	$(LINKER) -o $@ xml_lexer.cmo lablgladecc.cmo

testcc$(XE): lablgladecc$(XE) lablgtktop
	./lablgladecc -test > testcc.ml
	./lablgtktop testcc.ml
	rm -f testcc.ml

PREOBJS= $(MLOBJS) $(EXTRAOBJS) $(GLADEMLOBJS) $(RSVGMLOBJS) \
	$(GNOMECANVASMLOBJS)

preinstall: build.ml
	mkdir -p "$(INSTALLDIR)" "$(BINDIR)" "$(DLLDIR)"
	cp $(PREOBJS:.cmo=.ml) "$(INSTALLDIR)"
	for f in $(PREOBJS:.cmo=.mli); do \
	  if test -f $$f; then cp $$f "$(INSTALLDIR)"; fi; done
	cp build.ml "$(INSTALLDIR)"
	cp lablgtk2$(XB) gdk_pixbuf_mlsource$(XE) "$(BINDIR)"
	cp lablgladecc$(XE) "$(BINDIR)/lablgladecc2$(XE)"
	cp $(CLIBS) "$(INSTALLDIR)"
	cp $(CLIBS:lib%$(XA)=dll%$(XS)) "$(DLLDIR)"

install:
	mkdir -p "$(INSTALLDIR)" "$(BINDIR)" "$(DLLDIR)"
	cp $(ALLOBJS:.cmo=.cmi) $(EXTRA_OBJS:.cmo=.cmi) "$(INSTALLDIR)"
	cp -p *.mli "$(INSTALLDIR)"
	cp -p $(ALLOBJS:.cmo=.ml) $(ALLTHOBJS:.cmo=.ml) $(EXTRA_OBJS:.cmo=.ml) "$(INSTALLDIR)"
	cp $(EXTRA_MLLIBS) $(MLLIBS) $(THOBJS) $(INITOBJS) $(THINITOBJS) "$(INSTALLDIR)"
	cp $(CLIBS) "$(INSTALLDIR)"
	cd "$(INSTALLDIR)" && $(RANLIB) $(CLIBS)
	cp varcc$(XE) propcc$(XE) "$(INSTALLDIR)"
	if test $(THREADS_LIB) != no; \
	   then cp  $(ALLTHOBJS:.cmo=.cmi) $(INSTALLDIR); \
	fi
	if test $(THREADS_LIB) = vm || test $(HAS_DLL_SUPPORT) != yes; \
	   then cp lablgtktop$(XE) "$(INSTALLDIR)"; \
	fi
	cp -p *.h "$(INSTALLDIR)"
	@if test -f lablgtk.cmxa; then $(MAKE) installopt; fi
	@if test -f dlllablgtk2$(XS); then $(MAKE) installdll; fi
	cp lablgtk2$(XB) "$(BINDIR)"
	if test -f lablgladecc$(XE); then \
	   cp lablgladecc$(XE) "$(BINDIR)/lablgladecc2$(XE)"; fi
	cp gdk_pixbuf_mlsource$(XE) "$(BINDIR)"

installdll:
	cp $(CLIBS:lib%$(XA)=dll%$(XS)) "$(DLLDIR)" || \
	   echo "Couldn't install dlls in default location: $(DLLDIR)"
	if test -f dlllablgtk2$(XA); then \
	  cp $(CLIBS:lib%$(XA)=dll%$(XA)) "$(INSTALLDIR)"; fi

installopt:
	cp $(MLLIBS:.cma=.cmxa) $(MLLIBS:.cma=$(XA)) $(EXTRA_MLLIBS:.cma=.cmxa) $(EXTRA_MLLIBS:.cma=$(XA)) "$(INSTALLDIR)"
ifeq ($(HAS_NATIVE_DYNLINK),yes)
	cp $(MLLIBS:.cma=.cmxs) $(EXTRA_MLLIBS:.cma=.cmxs) "$(INSTALLDIR)"
endif
	cd "$(INSTALLDIR)" && $(RANLIB) $(MLLIBS:.cma=$(XA)) $(EXTRA_MLLIBS:.cma=$(XA))

## lablgtk2 2.14.2+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1486 2009-09-25 09:18:09Z garrigue $
+# $Id: Makefile 1518 2010-06-25 09:23:44Z garrigue $
 # Makefile for lablgtk.
 
 COMPILER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s -c
@@ -104,7 +104,6 @@
 CLIBS += liblablgnomeui$(XA)
 GNOMEUIMLOBJS = gnomeDruid.cmo gnoDruid.cmo
 GNOMEUICOBJS = ml_gnomedruid$(XO)
-endif
 
 ifdef USE_PANEL
 MLLIBS += lablpanel.cma
@@ -112,6 +111,8 @@
 PANELMLOBJS = panel.cmo
 PANELCOBJS = ml_panel$(XO)
 endif
+endif
+
 
 ifdef USE_RSVG
 MLLIBS += lablrsvg.cma
@@ -167,6 +168,7 @@
 	$(LIBRARIAN) -o lablgtksourceview2 $^ $(GTKSOURCEVIEW2LIBS)
 lablgtksourceview2.cmxa: $(GTKSOURCEVIEW2COBJS) $(GTKSOURCEVIEW2MLOBJSENUM:.cmo=.cmx) $(GTKSOURCEVIEW2PROPS:%.props=%Props.cmx) $(GTKSOURCEVIEW2PROPS:%.props=o%Props.cmx) $(GTKSOURCEVIEW2MLOBJS:.cmo=.cmx)
 	$(LIBRARIAN) -o lablgtksourceview2 $^ $(GTKSOURCEVIEW2LIBS)
+lablgtksourceview2.cmxs: DYNLINKLIBS=$(GTKSOURCEVIEW2_LIBS)
 endif
 
 ifdef USE_GTKQUARTZ
@@ -189,7 +191,8 @@
 .ml4.cmo:
 	$(CAMLC) -c -pp "$(CAMLP4O) -impl" -impl $<
 .cmxa.cmxs:
-	$(CAMLOPT) -verbose -o $@ -shared -linkall -I . -ccopt '$(GTK_LIBS)' $<
+	$(CAMLOPT) -verbose -o $@ -shared -linkall -I . \
+        -ccopt '$(filter -L%, $(DYNLINKLIBS))' $<
 
 #.ml4.ml:
 #	$(CAMLP4) -impl $< -o $@
@@ -214,7 +217,7 @@
 	gtkList.props gtkMenu.props gtkMisc.props gtkPack.props \
 	gtkRange.props gtkText.props gtkTree.props gtkFile.props \
 	gtkAction.props gtkBroken.props gtkAssistant.props
-MLOBJS1 =  gaux.cmo gpointer.cmo glib.cmo gobject.cmo
+MLOBJS1 =  gaux.cmo gpointer.cmo gutf8.cmo glib.cmo gobject.cmo
 ENUMOBJS += gdkEnums.cmo pangoEnums.cmo gtkEnums.cmo
 MLOBJS2 = pango.cmo gdk.cmo gdkEvent.cmo gdkKeysyms.cmo gdkPixbuf.cmo \
 	gtk.cmo gtkSignal.cmo gtkStock.cmo gtkObject.cmo
@@ -242,6 +245,7 @@
 	$(INITOBJS)
 ALLTHOBJS = $(THOBJS) $(THINITOBJS)
 PROPOBJS = $(GTKPROPS:%.props=%Props.cmo) $(GTKPROPS:%.props=o%Props.cmo)
+BEFORE_DEPEND += gtkSignal.ml
 
 # Targets
 byte:: $(TARGETS) $(INITOBJS)
@@ -252,7 +256,8 @@
 	  USE_GNOMECANVAS=1 USE_GNOMEUI=1 USE_PANEL=1 USE_GTKSPELL=1 \
 	  USE_GTKSOURCEVIEW=1 USE_GTKSOURCEVIEW2=1
 real-depend: $(ENUMOBJS:.cmo=.ml) $(PROPOBJS:.cmo=.ml) $(BEFORE_DEPEND)
-	ocamldep $(ALLOBJS:.cmo=.ml) $(PROPOBJS:.cmo=.ml) $(ALLTHOBJS:.cmo=.ml) $(BEFORE_DEPEND) *.mli > .depend
+	ocamldep $(ALLOBJS:.cmo=.ml) $(PROPOBJS:.cmo=.ml) \
+	  $(ALLTHOBJS:.cmo=.ml) $(BEFORE_DEPEND) *.mli > .depend
 
 ifeq ($(THREADS_LIB),no)
 lablgtktop$(XE): $(MLLIBS)
@@ -293,7 +298,7 @@
 	    -e "s|@TOOLCHAIN@|$(TOOLCHAIN)|" \
 	    < build.ml.in > $@
 
-gdk_pixbuf_mlsource$(XE) : lablgtk.cma gtkInit.cmo gdk_pixbuf_mlsource.ml
+gdk_pixbuf_mlsource$(XE) : lablgtk.cma gdk_pixbuf_mlsource.ml
 	$(CAMLC) -o $@ -I . $^
 
 lablgtkopt:: $(MLLIBS:.cma=.cmxa) $(INITOBJS:.cmo=.cmx)
@@ -305,8 +310,10 @@
 lablgtkopt::  $(MLLIBS:.cma=.cmxs)
 endif
 
-lablgladecc$(XE): xml_lexer.cmo lablgladecc.cmo
-	$(LINKER) -o $@ xml_lexer.cmo lablgladecc.cmo
+LABLGLADECCOBJS = gutf8.cmo xml_lexer.cmo lablgladecc.cmo
+
+lablgladecc$(XE): $(LABLGLADECCOBJS)
+	$(LINKER) -o $@ $(LABLGLADECCOBJS)
 
 testcc$(XE): lablgladecc$(XE) lablgtktop
 	./lablgladecc -test > testcc.ml
@@ -337,7 +344,7 @@
 	cd "$(INSTALLDIR)" && $(RANLIB) $(CLIBS)
 	cp varcc$(XE) propcc$(XE) "$(INSTALLDIR)"
 	if test $(THREADS_LIB) != no; \
-	   then cp  $(ALLTHOBJS:.cmo=.cmi) $(INSTALLDIR); \
+	   then cp  $(ALLTHOBJS:.cmo=.cmi) "$(INSTALLDIR)"; \
 	fi
 	if test $(THREADS_LIB) = vm || test $(HAS_DLL_SUPPORT) != yes; \
 	   then cp lablgtktop$(XE) "$(INSTALLDIR)"; \
@@ -358,7 +365,3 @@
 
 installopt:
 	cp $(MLLIBS:.cma=.cmxa) $(MLLIBS:.cma=$(XA)) $(EXTRA_MLLIBS:.cma=.cmxa) $(EXTRA_MLLIBS:.cma=$(XA)) "$(INSTALLDIR)"
-ifeq ($(HAS_NATIVE_DYNLINK),yes)
-	cp $(MLLIBS:.cma=.cmxs) $(EXTRA_MLLIBS:.cma=.cmxs) "$(INSTALLDIR)"
-endif
-	cd "$(INSTALLDIR)" && $(RANLIB) $(MLLIBS:.cma=$(XA)) $(EXTRA_MLLIBS:.cma=$(XA))

=== debian/changelog ===
lablgtk2 (2.14.2+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #585455)
    - remove Patch-to-build-with-GtkSourceView-2.0 (applied upstream)
  * debian/control:
    - remove Stefano from Uploaders
    - bump build-dependency to libgtksourceview2.0-dev
    - bump Standards-Version to 3.9.1
  * Bump debhelper compat level to 8
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Feb 2011 06:57:19 +0100

lablgtk2 (2.14.0+dfsg-2) unstable; urgency=low

  * Upload to unstable
  * Make liblablgtksourceview2-* replace/conflict with previous version

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Nov 2009 19:20:34 +0100

lablgtk2 (2.14.0+dfsg-1) experimental; urgency=low

  * New upstream release:
    - replace libgtksourceview by libgtksourceview2 everywhere
      (Closes: #532905)
    - debian/patches:
      + remove Add-libgnomeui-header.patch
      + add Patch-to-build-with-GtkSourceView-2.0.patch
    - remove "applications" from upstream sources because of licensing
      issues (see README.source), adapt version number and debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 23 Oct 2009 15:53:55 +0200

lablgtk2 (2.12.0-4) unstable; urgency=low

  * Big packaging update:
    - use new dh-ocaml
    - switch debian/rules to dh
    - update versioned build-dependencies accordingly
    - remove Lintian overrides
    - move all generated documentation to a new binary package
      liblablgtk2-ocaml-doc
  * Update my e-mail address, remove DMUA, remove Sven from Uploaders
  * Add README.source
  * Update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 29 Sep 2009 20:14:10 +0200

lablgtk2 (2.12.0-3) unstable; urgency=low

  [ Samuel Mimram ]
  * Update download url in copyright file.

  [ Stephane Glondu ]
  * Switch patches to quilt
  * Add Add-libgnomeui-header.patch to fix FTBFS with recent libgnomeui
    (Closes: #531088, #534935)
  * Update Standards-Version to 3.8.2
  * Move to section ocaml
  * Add DM-Upload-Allowed
  * Add versioned dependency on liblablgl-ocaml-dev for OCaml transition
    to 3.11.1
  * Update Lintian overrides

 -- Stephane Glondu <steph@glondu.net>  Tue, 30 Jun 2009 09:18:44 +0200

lablgtk2 (2.12.0-2) unstable; urgency=low

  [ Stephane Glondu ]
  * Remove various versioned dependencies.
  * Switch packaging to git.

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.11.
  * Use dh-ocaml predefined variables in rules.
  * Use native version of ocamldoc if available.

 -- Samuel Mimram <smimram@debian.org>  Thu, 26 Feb 2009 23:29:27 +0100

lablgtk2 (2.12.0-1) experimental; urgency=low

  * New upstream release.
  * Updated compat to 7.
  * Updated standards version to 3.8.0.
  * Version licence references in copyright.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Feb 2009 13:03:28 +0100

lablgtk2 (2.10.1-3) experimental; urgency=low

  * Rebuild with OCaml 3.11.0
  * Add myself to Uploaders

 -- Stephane Glondu <steph@glondu.net>  Sun, 01 Feb 2009 12:22:28 +0100

lablgtk2 (2.10.1-2) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Update debian/copyright file
  * Fix GTK -> GTK+ in debian/control
  * Move META.lablgtk2-gl to directory METAS/
  * Stop creating empty directory lablgtkgl2
  * Clean config.*
  * Rebuild for ocaml 3.10.2

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 23 May 2008 12:39:48 +0200

lablgtk2 (2.10.1-1) experimental; urgency=low

  [ Ralf Treinen ]
  * Recompiled for ocaml 3.10.2.
  * Added myself to Uploaders.
  * Capitalization errors in package descriptions.
  
  [ Samuel Mimram ]
  * New upstream release.
  * Builds with OCaml 3.10.2, closes: #472994.
  * Removed setlocale.dpatch, integrated upstream.

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir
  * fix "GNOME" spelling in package descriptions
  
 -- Ralf Treinen <treinen@debian.org>  Mon, 07 Apr 2008 21:15:55 +0200

lablgtk2 (2.10.0-4) unstable; urgency=low

  * Add a Replaces for liblablgtksourceview-ocaml-dev since I moved files from
    liblablgtk2-ocaml-dev to liblablgtksourceview-ocaml-dev.
  * Updated standards version to 3.7.3, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sat, 22 Dec 2007 13:06:51 +0100

lablgtk2 (2.10.0-3) unstable; urgency=low

  * Move some forgotten files into liblablgtksourceview-ocaml-dev,
    closes: #452089.
  * Install some missing cmi files, closes: #453210.
  * Backported setlocale.dpatch to handle non-C locales, closes: #445193.

 -- Samuel Mimram <smimram@debian.org>  Fri, 14 Dec 2007 15:04:15 +0000

lablgtk2 (2.10.0-2) unstable; urgency=low

  * Upload to unstable
  * Generate html documentation for gtksourceview.
  * Don't install *.o files, closes: #444310.

 -- Samuel Mimram <smimram@debian.org>  Sat, 17 Nov 2007 17:52:57 +0000

lablgtk2 (2.10.0-1) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * Add Homepage field to debian/control.

  [ Samuel Mimram ]
  * New upstream release.
  * Provides liblablgtksourceview-ocaml{,-dev}.

 -- Samuel Mimram <smimram@debian.org>  Wed, 26 Sep 2007 16:09:49 +0000

lablgtk2 (2.6.0-13) unstable; urgency=low

  * Revert previous change (the problem was not there) and remove *.cmx
    *.cmxa and *.o from dh_install files. Use a move in the debian/rules to
     transfer things if and only if on non native arches.

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 07 Sep 2007 00:07:37 +0200

lablgtk2 (2.6.0-12) unstable; urgency=low

  * On non native arches, there is no *.cmx, don't fail at dh_install
    step in this case

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 06 Sep 2007 23:59:45 +0200

lablgtk2 (2.6.0-11) unstable; urgency=low

  * Build-depends on ocaml 3.10.0-8 to be able to generate *.doc-
    base.ocamldoc-apiref

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 17:57:12 +0200

lablgtk2 (2.6.0-10) unstable; urgency=low

  * Tighten build dependency on liblabgl to make it build with the first
    lablgl library which will have ocaml 3.10.0 ABI


=== debian/control ===
Source: lablgtk2
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9.5~),
 ocaml-nox (>= 3.11.1-3~),
 ocaml,
 camlp4 (>= 3.11),
 liblablgl-ocaml-dev (>= 1.04-3~),
 libncurses5-dev,
 libgtk2.0-dev,
 libgtkgl2.0-dev,
 libglade2-dev,
 librsvg2-dev,
 libgnomecanvas2-dev,
 libgtkspell-dev,
 libgnomeui-dev,
 libpanel-applet2-dev,
 libgtksourceview2.0-dev (>= 2.10)
Standards-Version: 3.9.1
Homepage: http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/lablgtk.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/lablgtk2.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lablgtk2.git

Package: liblablgtk2-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings for GTK+ version 2
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package include only the dynamic libraries needed for running dynamic
 bytecode executables.

Package: liblablgtk2-gl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings to GtkGL
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package include only the dynamic libraries needed for running dynamic
 bytecode executables using GtkGL functionalities.

Package: liblablgtk2-gnome-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings to GNOME
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package include only the dynamic libraries needed for running dynamic
 bytecode executables using GNOME functionalities (panel-applet, gnomeui,
 gnome-canvas, rsvg).

Package: liblablgtksourceview2-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblablgtksourceview-ocaml
Breaks: liblablgtksourceview-ocaml (<< 2.14.0+dfsg-1~)
Description: OCaml bindings for libgtksourceview2 (runtime)
 This is the OCaml binding for the GtkSourceView2 widget, a text widget that
 extends the standard GTK+ 2.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the shared runtime stub libraries.

Package: liblablgtk2-ocaml-dev
Architecture: any
Suggests: liblablgtk2-gl-ocaml-dev, liblablgtk2-gnome-ocaml-dev
Depends:
 libgtk2.0-dev,
 libglade2-dev,
 libgtkspell-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to Gtk+ version 2
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the development files of lablgtk.

Package: liblablgtk2-gl-ocaml-dev
Architecture: any
Suggests: liblablgtk2-gnome-ocaml-dev
Depends:
 libgtkgl2.0-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to GtkGL
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the development files of lablgtk for libraries using
 GtkGL.

Package: liblablgtk2-gnome-ocaml-dev
Architecture: any
Depends:
 librsvg2-dev,
 libgnomecanvas2-dev,
 libgnomeui-dev,
 libpanel-applet2-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to GNOME
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package contains the development files of lablgtk for libraries using
 GNOME functionalities (panel-applet, gnomeui, gnome-canvas, rsvg).

Package: liblablgtksourceview2-ocaml-dev
Architecture: any
Depends:
 libgtksourceview2.0-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Replaces: liblablgtksourceview-ocaml-dev
Breaks: liblablgtksourceview-ocaml-dev (<< 2.14.0+dfsg-1~)
Description: OCaml bindings for libgtksourceview2, a source editor GTK+ widget
 This is the OCaml binding for the GtkSourceView2 widget, a text widget that
 extends the standard GTK+ 2.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the development part of the lablgtksourceview2 package.

Package: liblablgtk2-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances:
 liblablgtk2-ocaml-dev,
 liblablgtk2-gl-ocaml-dev,
 liblablgtk2-gnome-ocaml-dev,
 liblablgtksourceview2-ocaml-dev
Description: OCaml bindings to Gtk+ version 2 (documentation)
 LablGTK2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the API reference of all libraries provided by
 LablGTK2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk
DESTDIR := $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	cp  src/.depend debian/src.depend.backup
	dh_auto_configure -- --with-gl --with-glade --with-rsvg		\
	--with-gnomecanvas --with-gtkspell --with-gnomeui --with-panel	\
	--with-gtksourceview2

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE)
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) opt
endif

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	[ ! -f config.make ] || $(MAKE) clean
	if [ -f debian/src.depend.backup ]; then \
	  mv debian/src.depend.backup src/.depend; \
	fi

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DESTDIR)
# remove files related to gtksourceview1 (uncompiled anyway... and
# make dh_ocamldoc fail)
	rm \
	  debian/tmp/usr/lib/ocaml/lablgtk2/gtkSourceView_types.mli \
	  debian/tmp/usr/lib/ocaml/lablgtk2/gSourceView.mli

.PHONY: override_dh_installexamples
override_dh_installexamples:
	dh_installexamples --exclude='.cvsignore'

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/lablgtk.html \
  dist/lablgtk-(\d+\.[\d.]+)\.tar\.gz
  # forcing the '.' in version number to skip CVS snapshots

## lablgtk2 2.16.0%2Bdfsg

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# $Id: Makefile 1518 2010-06-25 09:23:44Z garrigue $
 # Makefile for lablgtk.
 
 COMPILER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s -c
@@ -19,10 +18,13 @@
 
 include $(CONFIG)
 
-TARGETS = varcc$(XE) lablgtktop$(XE) lablgtk2$(XB) gdk_pixbuf_mlsource$(XE)
+TARGETS = varcc$(XE) lablgtktop$(XE) lablgtk2$(XB) gdk_pixbuf_mlsource$(XE) \
+	$(THINITOBJS) build.ml
 
 all: byte
 world: byte $(CAMLBEST)
+install: findlib-install
+uninstall: findlib-uninstall
 
 MLLIBS = lablgtk.cma
 CLIBS = liblablgtk2$(XA)
@@ -140,11 +142,11 @@
 GTKSOURCEVIEWMLOBJS = gtkSourceView.cmo gSourceView.cmo
 GTKSOURCEVIEWCOBJS = ml_gtksourceview$(XO)
 ml_gtksourceview.c: pango_tags.h
-GTKSOURCEVIEWMLOBJSENUM = sourceViewEnums.cmo 
+GTKSOURCEVIEWMLOBJSENUM = sourceViewEnums.cmo
 GTKSOURCEVIEWPROPS = gtkSourceView.props
 CLIBS += liblablgtksourceview$(XA)
 EXTRA_MLLIBS += lablgtksourceview.cma
-EXTRA_OBJS += $(GTKSOURCEVIEWMLOBJS) $(GTKSOURCEVIEWMLOBJSENUM) 
+EXTRA_OBJS += $(GTKSOURCEVIEWMLOBJS) $(GTKSOURCEVIEWMLOBJSENUM)
 BEFORE_DEPEND += $(GTKSOURCEVIEWMLOBJS:%.cmo=%.ml) $(GTKSOURCEVIEWPROPS:%.props=%Props.ml) $(GTKSOURCEVIEWPROPS:%.props= o%Props.ml) $(GTKSOURCEVIEWMLOBJSENUM:%.cmo=%.ml)
 lablgtksourceview.cma liblablgtksourceview$(XA): \
 	$(GTKSOURCEVIEWCOBJS) $(GTKSOURCEVIEWMLOBJSENUM) $(GTKSOURCEVIEWPROPS:%.props=%Props.cmo) $(GTKSOURCEVIEWPROPS:%.props=o%Props.cmo) $(GTKSOURCEVIEWMLOBJS)
@@ -158,7 +160,7 @@
 CLIBS += liblablgtksourceview2$(XA)
 GTKSOURCEVIEW2MLOBJS = gtkSourceView2.cmo gSourceView2.cmo
 GTKSOURCEVIEW2COBJS = ml_gtksourceview2$(XO)
-GTKSOURCEVIEW2MLOBJSENUM = sourceView2Enums.cmo 
+GTKSOURCEVIEW2MLOBJSENUM = sourceView2Enums.cmo
 GTKSOURCEVIEW2PROPS = gtkSourceView2.props
 BEFORE_DEPEND += $(GTKSOURCEVIEW2PROPS:%.props=%Props.ml) $(GTKSOURCEVIEW2PROPS:%.props= o%Props.ml) $(GTKSOURCEVIEWMLOBJSENUM:%.cmo=%.ml)
 
@@ -234,12 +236,15 @@
 	gUtil.cmo gToolbox.cmo
 MLOBJS =  $(MLOBJS1) $(ENUMOBJS) $(MLOBJS2) $(GTKPROPS:.props=Props.cmo) \
 	$(MLOBJS3) $(GTKPROPS:%.props=o%Props.cmo) $(MLOBJS4)
-MLXOBJS = $(MLOBJS1) $(ENUMOBJS) $(MLOBJS2) $(MLOBJS3) $(MLOBJS4)
 THOBJS = gtkThread.cmo
 INITOBJS = gtkInit.cmo
+ifdef USE_GTKQUARTZ
+THINITOBJS = gtkThTop.cmo
+else
 THINITOBJS = gtkThInit.cmo
+endif
 EXTRAOBJS = $(INITOBJS) $(THOBJS) $(THINITOBJS)
-ALLOBJS = $(MLXOBJS) $(GLMLOBJS) $(GNOMEMLOBJS) $(GLADEMLOBJS) \
+ALLOBJS = $(MLOBJS) $(GLMLOBJS) $(GNOMEMLOBJS) $(GLADEMLOBJS) \
 	$(RSVGMLOBJS) $(GNOMECANVASMLOBJS) $(GNOMEUIMLOBJS) $(PANELMLOBJS) \
 	$(GTKSPELLMLOBJS) $(GTKSOURCEVIEW2MLOBJS) \
 	$(INITOBJS)
@@ -260,10 +265,10 @@
 	  $(ALLTHOBJS:.cmo=.ml) $(BEFORE_DEPEND) *.mli > .depend
 
 ifeq ($(THREADS_LIB),no)
-lablgtktop$(XE): $(MLLIBS)
+lablgtktop$(XE): $(MLLIBS) $(CONFIG)
 	$(TOPLEVEL) $(CUSTOM) -o $@ $(MLLINK) -I . $(MLLIBS)
 else
-lablgtktop$(XE): $(MLLIBS) $(ALLTHOBJS)
+lablgtktop$(XE): $(MLLIBS) $(THOBJS) $(CONFIG)
 	$(TOPLEVEL) $(THFLAGS) $(CUSTOM) -o $@ $(THLINK) $(MLLINK) \
 	   -I . $(MLLIBS) $(THOBJS)
 endif
@@ -271,7 +276,6 @@
 lablgtk2: Makefile $(CONFIG) lablgtk2.in
 	sed -e "s|@INSTALLDIR@|$(INSTALLDIR)|g" \
 	    -e "s|@LABLGLDIR@|$(LABLGLDIR)|g" \
-	    -e "s|@LIBDIR@|$(LIBDIR)|g" \
 	    -e "s|@MLLIBS@|$(MLLINK) $(MLLIBS)|g" \
 	    -e "s|@INITOBJS@|$(INITOBJS)|g" \
 	    -e "s|@THOBJS@|$(THOBJS)|g" \
@@ -323,7 +327,8 @@
 PREOBJS= $(MLOBJS) $(EXTRAOBJS) $(GLADEMLOBJS) $(RSVGMLOBJS) \
 	$(GNOMECANVASMLOBJS)
 
-preinstall: build.ml
+# Install ml sources and C binaries, can then rebuild using build.ml
+preinstall:
 	mkdir -p "$(INSTALLDIR)" "$(BINDIR)" "$(DLLDIR)"
 	cp $(PREOBJS:.cmo=.ml) "$(INSTALLDIR)"
 	for f in $(PREOBJS:.cmo=.mli); do \
@@ -334,34 +339,35 @@
 	cp $(CLIBS) "$(INSTALLDIR)"
 	cp $(CLIBS:lib%$(XA)=dll%$(XS)) "$(DLLDIR)"
 
-install:
+# Install directly to $(INSTALLDIR), without using ocamlfind
+old-install:
 	mkdir -p "$(INSTALLDIR)" "$(BINDIR)" "$(DLLDIR)"
 	cp $(ALLOBJS:.cmo=.cmi) $(EXTRA_OBJS:.cmo=.cmi) "$(INSTALLDIR)"
 	cp -p *.mli "$(INSTALLDIR)"
-	cp -p $(ALLOBJS:.cmo=.ml) $(ALLTHOBJS:.cmo=.ml) $(EXTRA_OBJS:.cmo=.ml) "$(INSTALLDIR)"
-	cp $(EXTRA_MLLIBS) $(MLLIBS) $(THOBJS) $(INITOBJS) $(THINITOBJS) "$(INSTALLDIR)"
+	cp -p $(ALLOBJS:.cmo=.ml) $(ALLTHOBJS:.cmo=.ml) \
+	      $(EXTRA_OBJS:.cmo=.ml) build.ml "$(INSTALLDIR)"
+	cp $(EXTRA_MLLIBS) $(MLLIBS) $(INITOBJS) "$(INSTALLDIR)"
 	cp $(CLIBS) "$(INSTALLDIR)"
 	cd "$(INSTALLDIR)" && $(RANLIB) $(CLIBS)
 	cp varcc$(XE) propcc$(XE) "$(INSTALLDIR)"
 	if test $(THREADS_LIB) != no; \
-	   then cp  $(ALLTHOBJS:.cmo=.cmi) "$(INSTALLDIR)"; \
+	   then cp $(ALLTHOBJS) $(ALLTHOBJS:.cmo=.cmi) "$(INSTALLDIR)"; \
 	fi
 	if test $(THREADS_LIB) = vm || test $(HAS_DLL_SUPPORT) != yes; \
 	   then cp lablgtktop$(XE) "$(INSTALLDIR)"; \
 	fi
 	cp -p *.h "$(INSTALLDIR)"
-	@if test -f lablgtk.cmxa; then $(MAKE) installopt; fi
-	@if test -f dlllablgtk2$(XS); then $(MAKE) installdll; fi
+	@if test -f lablgtk.cmxa; then $(MAKE) old-installopt; fi
+	@if test -f dlllablgtk2$(XS); then $(MAKE) old-installdll; fi
 	cp lablgtk2$(XB) "$(BINDIR)"
 	if test -f lablgladecc$(XE); then \
 	   cp lablgladecc$(XE) "$(BINDIR)/lablgladecc2$(XE)"; fi
 	cp gdk_pixbuf_mlsource$(XE) "$(BINDIR)"
 
-installdll:
+old-installdll:
 	cp $(CLIBS:lib%$(XA)=dll%$(XS)) "$(DLLDIR)" || \
 	   echo "Couldn't install dlls in default location: $(DLLDIR)"
 	if test -f dlllablgtk2$(XA); then \
 	  cp $(CLIBS:lib%$(XA)=dll%$(XA)) "$(INSTALLDIR)"; fi
 
-installopt:
-	cp $(MLLIBS:.cma=.cmxa) $(MLLIBS:.cma=$(XA)) $(EXTRA_MLLIBS:.cma=.cmxa) $(EXTRA_MLLIBS:.cma=$(XA)) "$(INSTALLDIR)"
+old-installopt:

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  dh-ocaml (>= 0.9.5~),
- ocaml-nox (>= 3.11.1-3~),
+ ocaml-nox (>= 4.00.1),
  ocaml,
  camlp4 (>= 3.11),
  liblablgl-ocaml-dev (>= 1.04-3~),
@@ -22,12 +21,12 @@
  libgnomecanvas2-dev,
  libgtkspell-dev,
  libgnomeui-dev,
- libpanel-applet2-dev,
- libgtksourceview2.0-dev (>= 2.10)
-Standards-Version: 3.9.1
-Homepage: http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/lablgtk.html
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/lablgtk2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lablgtk2.git
+ libgtksourceview2.0-dev (>= 2.10),
+ ocaml-findlib (>= 1.3.2)
+Standards-Version: 3.9.4
+Homepage: http://forge.ocamlcore.org/projects/lablgtk/
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/lablgtk2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/lablgtk2.git
 
 Package: liblablgtk2-ocaml
 Architecture: any
@@ -65,8 +64,8 @@
 Description: runtime libraries for OCaml bindings to GNOME
  lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
  .
- This package include only the dynamic libraries needed for running dynamic
- bytecode executables using GNOME functionalities (panel-applet, gnomeui,
+ This package include only the dynamic libraries needed for running
+ dynamic bytecode executables using GNOME functionalities (gnomeui,
  gnome-canvas, rsvg).
 
 Package: liblablgtksourceview2-ocaml
@@ -124,7 +123,6 @@
  librsvg2-dev,
  libgnomecanvas2-dev,
  libgnomeui-dev,
- libpanel-applet2-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
@@ -134,7 +132,7 @@
  lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
  .
  This package contains the development files of lablgtk for libraries using
- GNOME functionalities (panel-applet, gnomeui, gnome-canvas, rsvg).
+ GNOME functionalities (gnomeui, gnome-canvas, rsvg).
 
 Package: liblablgtksourceview2-ocaml-dev
 Architecture: any

## lablgtk2 2.16.0+dfsg

=== Makefile ===
# Toplevel makefile for LablGtk2

all opt doc install uninstall byte world old-install old-uninstall: config.make
all opt doc install uninstall byte clean depend world old-install old-uninstall:
	$(MAKE) -C src $@

arch-clean:
	@rm -f config.status config.make config.cache config.log
	@rm -f \#*\# *~ aclocal.m4
	@rm -rf autom4te*.cache

configure: configure.in
	aclocal
	autoconf

config.make: config.make.in
	@echo config.make is not up to date. Execute ./configure first.
	@exit 2

.PHONY: all opt doc install byte world clean depend arch-clean headers

headers:
	find examples -name "*.ml" -exec headache -h header_examples {} \;
	find applications -name "*.ml" -exec headache -h header_apps {} \;
	find applications -name "*.mli" -exec headache -h header_apps {} \;
	find src -name "*.ml" -exec headache -h header {} \;
	find src -name "*.mli" -exec headache -h header {} \;
	find src -name "*.c" -exec headache -h header {} \;
	find src -name "*.h" -exec headache -h header {} \;

=== debian/changelog ===
lablgtk2 (2.16.0+dfsg-1) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:20:25 +0100

lablgtk2 (2.16.0+dfsg-1~exp3) experimental; urgency=low

  * Fix installation of META files
  * Respect upstream convention for lablgtk2.sourceview2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 09:23:00 +0200

lablgtk2 (2.16.0+dfsg-1~exp2) experimental; urgency=low

  * Update version in META files

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 08:44:10 +0200

lablgtk2 (2.16.0+dfsg-1~exp1) experimental; urgency=low

  [ Lifeng Sun ]
  * Team upload.
  * New upstream release.
  * Build depends on ocaml-findlib.
  * Switch debian/copyright to Machine readable format.
  * Bump debhelper compat level to 9.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Update Homepage.
    - Build depends on ocaml-findlib.

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 12 May 2013 08:27:39 +0800

lablgtk2 (2.14.2+dfsg-3) unstable; urgency=low

  * Update version in META files (Closes: #673835)
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Jun 2012 08:10:15 +0200

lablgtk2 (2.14.2+dfsg-2) unstable; urgency=low

  * Remove gnome-panel support (Closes: #638133)
  * Remove duplicate changelog from liblablgtk2-ocaml
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 17 Aug 2011 08:31:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 DESTDIR := $(CURDIR)/debian/tmp
+export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
+export OCAMLFIND_LDCONF=ignore
 
 %:
 	dh $@ --with ocaml
@@ -14,7 +16,7 @@
 override_dh_auto_configure:
 	cp  src/.depend debian/src.depend.backup
 	dh_auto_configure -- --with-gl --with-glade --with-rsvg		\
-	--with-gnomecanvas --with-gtkspell --with-gnomeui --with-panel	\
+	--with-gnomecanvas --with-gtkspell --with-gnomeui \
 	--with-gtksourceview2
 
 .PHONY: override_dh_auto_build
@@ -30,15 +32,21 @@
 	if [ -f debian/src.depend.backup ]; then \
 	  mv debian/src.depend.backup src/.depend; \
 	fi
+	$(RM) config.log config.make config.status test_dynlink.*
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
+	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	$(MAKE) install DESTDIR=$(DESTDIR)
 # remove files related to gtksourceview1 (uncompiled anyway... and
 # make dh_ocamldoc fail)
 	rm \
 	  debian/tmp/usr/lib/ocaml/lablgtk2/gtkSourceView_types.mli \
 	  debian/tmp/usr/lib/ocaml/lablgtk2/gSourceView.mli
+# remove files related to uncompiled gnome-panel (see #638133)
+	rm debian/tmp/usr/lib/ocaml/lablgtk2/panel.mli
+# FIXME: we should use upstream META file
+	rm debian/tmp/usr/lib/ocaml/lablgtk2/META
 
 .PHONY: override_dh_installexamples
 override_dh_installexamples:
@@ -46,4 +54,4 @@
 
 .PHONY: override_dh_install
 override_dh_install:
-	dh_install --list-missing
+	dh_install --fail-missing -Xbuild.ml

## lablgtk2 2.18.3%2Bdfsg

=== src/Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 DLLDIR = $(LIBDIR)/stublibs
 
 include $(CONFIG)
+#GTKCFLAGS += -Werror -Wno-error=deprecated-declarations
 
 TARGETS = varcc$(XE) lablgtktop$(XE) lablgtk2$(XB) gdk_pixbuf_mlsource$(XE) \
 	$(THINITOBJS) build.ml
@@ -163,12 +164,15 @@
 GTKSOURCEVIEW2MLOBJSENUM = sourceView2Enums.cmo
 GTKSOURCEVIEW2PROPS = gtkSourceView2.props
 BEFORE_DEPEND += $(GTKSOURCEVIEW2PROPS:%.props=%Props.ml) $(GTKSOURCEVIEW2PROPS:%.props= o%Props.ml) $(GTKSOURCEVIEWMLOBJSENUM:%.cmo=%.ml)
-
 EXTRA_OBJS += $(GTKSOURCEVIEW2MLOBJSENUM)
+GTKSOURCEVIEW2ALLMLOBJS = $(GTKSOURCEVIEW2MLOBJSENUM) \
+	$(GTKSOURCEVIEW2PROPS:%.props=%Props.cmo) \
+	$(GTKSOURCEVIEW2PROPS:%.props=o%Props.cmo) $(GTKSOURCEVIEW2MLOBJS)
 lablgtksourceview2.cma liblablgtksourceview2$(XA): \
-	$(GTKSOURCEVIEW2COBJS) $(GTKSOURCEVIEW2MLOBJSENUM) $(GTKSOURCEVIEW2PROPS:%.props=%Props.cmo) $(GTKSOURCEVIEW2PROPS:%.props=o%Props.cmo) $(GTKSOURCEVIEW2MLOBJS)
+  $(GTKSOURCEVIEW2COBJS) $(GTKSOURCEVIEW2ALLMLOBJS)
 	$(LIBRARIAN) -o lablgtksourceview2 $^ $(GTKSOURCEVIEW2LIBS)
-lablgtksourceview2.cmxa: $(GTKSOURCEVIEW2COBJS) $(GTKSOURCEVIEW2MLOBJSENUM:.cmo=.cmx) $(GTKSOURCEVIEW2PROPS:%.props=%Props.cmx) $(GTKSOURCEVIEW2PROPS:%.props=o%Props.cmx) $(GTKSOURCEVIEW2MLOBJS:.cmo=.cmx)
+lablgtksourceview2.cmxa: \
+  $(GTKSOURCEVIEW2COBJS) $(GTKSOURCEVIEW2ALLMLOBJS:.cmo=.cmx)
 	$(LIBRARIAN) -o lablgtksourceview2 $^ $(GTKSOURCEVIEW2LIBS)
 lablgtksourceview2.cmxs: DYNLINKLIBS=$(GTKSOURCEVIEW2_LIBS)
 endif
@@ -185,7 +189,7 @@
 .c.d$(XO):
 	$(CAMLC) -c -ccopt '-MT -DCAML_DLL -Fo$@ $(CFLAGS)' $<
 .ml.cmo:
-	$(COMPILER) $<
+	$(COMPILER) $(PRINCIPAL) $<
 .mli.cmi:
 	$(COMPILER) $<
 .ml.cmx:
@@ -228,8 +232,8 @@
 	gtkMenu.cmo gtkMisc.cmo gtkWindow.cmo gtkList.cmo \
 	gtkBin.cmo gtkEdit.cmo gtkRange.cmo gtkText.cmo gtkTree.cmo \
 	gtkFile.cmo gtkMain.cmo gtkBroken.cmo \
-	gPango.cmo gDraw.cmo gObj.cmo gData.cmo gMain.cmo
-MLOBJS4 = gContainer.cmo gPack.cmo gButton.cmo gText.cmo \
+	gPango.cmo gDraw.cmo gObj.cmo ogtkBaseProps.cmo gData.cmo
+MLOBJS4 = gMain.cmo gContainer.cmo gPack.cmo gButton.cmo gText.cmo \
 	gMenu.cmo gMisc.cmo gTree.cmo gList.cmo gFile.cmo gWindow.cmo \
 	gAssistant.cmo \
 	gBin.cmo gEdit.cmo gRange.cmo gAction.cmo gBroken.cmo \
@@ -274,7 +278,7 @@
 endif
 
 lablgtk2: Makefile $(CONFIG) lablgtk2.in
-	sed -e "s|@INSTALLDIR@|$(INSTALLDIR)|g" \
+	sed -e "s|@INSTALLDIR@|$(LABLGTKDIR)|g" \
 	    -e "s|@LABLGLDIR@|$(LABLGLDIR)|g" \
 	    -e "s|@MLLIBS@|$(MLLINK) $(MLLIBS)|g" \
 	    -e "s|@INITOBJS@|$(INITOBJS)|g" \
@@ -299,6 +303,8 @@
 	    -e "s|@RSVG_LIBS@|$(RSVGLIBS)|" \
 	    -e "s|@CANVAS_MLS@|$(GNOMECANVASMLOBJS:.cmo=)|" \
 	    -e "s|@CANVAS_LIBS@|$(GNOMECANVASLIBS)|" \
+	    -e "s|@SOURCEVIEW2_MLS@|$(GTKSOURCEVIEW2ALLMLOBJS:.cmo=)|" \
+	    -e "s|@SOURCEVIEW2_LIBS@|$(GTKSOURCEVIEW2LIBS)|" \
 	    -e "s|@TOOLCHAIN@|$(TOOLCHAIN)|" \
 	    < build.ml.in > $@
 
@@ -325,12 +331,12 @@
 	rm -f testcc.ml
 
 PREOBJS= $(MLOBJS) $(EXTRAOBJS) $(GLADEMLOBJS) $(RSVGMLOBJS) \
-	$(GNOMECANVASMLOBJS)
+	$(GNOMECANVASMLOBJS) $(GTKSOURCEVIEW2ALLMLOBJS)
 
 # Install ml sources and C binaries, can then rebuild using build.ml
 preinstall:
 	mkdir -p "$(INSTALLDIR)" "$(BINDIR)" "$(DLLDIR)"
-	cp $(PREOBJS:.cmo=.ml) "$(INSTALLDIR)"
+	cp $(PREOBJS:.cmo=.ml) gtkSourceView2_types.mli "$(INSTALLDIR)"
 	for f in $(PREOBJS:.cmo=.mli); do \
 	  if test -f $$f; then cp $$f "$(INSTALLDIR)"; fi; done
 	cp build.ml "$(INSTALLDIR)"
@@ -343,7 +349,7 @@
 old-install:
 	mkdir -p "$(INSTALLDIR)" "$(BINDIR)" "$(DLLDIR)"
 	cp $(ALLOBJS:.cmo=.cmi) $(EXTRA_OBJS:.cmo=.cmi) "$(INSTALLDIR)"
-	cp -p *.mli "$(INSTALLDIR)"
+	cp -p ../META *.mli "$(INSTALLDIR)"
 	cp -p $(ALLOBJS:.cmo=.ml) $(ALLTHOBJS:.cmo=.ml) \
 	      $(EXTRA_OBJS:.cmo=.ml) build.ml "$(INSTALLDIR)"
 	cp $(EXTRA_MLLIBS) $(MLLIBS) $(INITOBJS) "$(INSTALLDIR)"
@@ -365,9 +371,3 @@
 	cp gdk_pixbuf_mlsource$(XE) "$(BINDIR)"
 
 old-installdll:
-	cp $(CLIBS:lib%$(XA)=dll%$(XS)) "$(DLLDIR)" || \
-	   echo "Couldn't install dlls in default location: $(DLLDIR)"
-	if test -f dlllablgtk2$(XA); then \
-	  cp $(CLIBS:lib%$(XA)=dll%$(XA)) "$(INSTALLDIR)"; fi
-
-old-installopt:

## lablgtk2 2.18.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,10 @@
 all opt doc install uninstall byte world old-install old-uninstall: config.make
 all opt doc install uninstall byte clean depend world old-install old-uninstall:
 	$(MAKE) -C src $@
+
+preinstall:
+	$(MAKE) -C src $@
+	$(MAKE) -f Makefile.pre
 
 arch-clean:
 	@rm -f config.status config.make config.cache config.log

=== debian/changelog ===
lablgtk2 (2.18.3+dfsg-2ubuntu1) artful; urgency=medium

  * Cherrypick upstream patch to fix compat with 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Jun 2017 14:03:51 +0100

lablgtk2 (2.18.3+dfsg-2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Jun 2017 12:23:40 +0100

lablgtk2 (2.18.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Pull sources from the build path for building documentation.
    (Closes: #806625)
  * debian/control: Use HTTPS for Vcs-* links
  * debian/control: Bump Standards-Version to 3.9.8.
    No change required
  * Fix debian/copyright.
    Invalid shortnames were used for licences

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 30 Jul 2016 01:14:41 +0200

lablgtk2 (2.18.3+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Remove "Don't install *Props.* files." patch. With OCaml 4.02, these
      files are needed for e.g. mldonkey, coq.
    - Remove -pp & -no-custom-tags from dh_ocamldoc (causes FTBFS)
  * Set filter-pristine-tar options in debian/gbp.conf

 -- Stéphane Glondu <glondu@debian.org>  Sun, 11 Oct 2015 13:41:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lablgtk2
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Ralf Treinen <treinen@debian.org>,
@@ -23,10 +24,10 @@
  libgnomeui-dev,
  libgtksourceview2.0-dev (>= 2.10),
  ocaml-findlib (>= 1.3.2)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://forge.ocamlcore.org/projects/lablgtk/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/lablgtk2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/lablgtk2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lablgtk2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/lablgtk2.git
 
 Package: liblablgtk2-ocaml
 Architecture: any
